logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 



Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



Apache 2.2 and XP64bit

 
Post new topic   Reply to topic    Apache Forum Index -> Apache Building & Member Downloads



View previous topic :: View next topic  
Author Message
dj02



Joined: 11 Dec 2005
Posts: 23
Location: FI, EU

PostPosted: Fri 03 Mar '06 8:39    Post subject: Apache 2.2 and XP64bit Reply with quote

Hi,

I have Windows XP Professional x64 (Service Pack 1) installed.

Your modules and apache 2.2 doesn't work on it.
It says: 1% is not accosiable win32 application.

When i installed apache 2.0.55 php sites modules it works.
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2580
Location: Hilversum, NL, EU

PostPosted: Fri 03 Mar '06 12:51    Post subject: Reply with quote

Apache 2.2.0 win32 works on 64 ?

Or only the 2.2.0 modules form the download page here does noet work ?


Btw. Jorg from www.blackdot.be/?inc=apachemon.htm has build Apache 2.2.0 for X64, maybe you can contact him for a download.

Steffen
Back to top
Jorge



Joined: 12 Mar 2006
Posts: 376
Location: Belgium

PostPosted: Sun 12 Mar '06 13:03    Post subject: Reply with quote

Hi

Yes i've manged to compile Apache on x64...
But i never manged to get mod_ssl to work.
The proformance was worse compared to the x86 version.

But the version on this website should run fine.

I'm running a self compiled 32bit apache on windows pro x64 aswel.
Only problem i've found is you need to seem to have .net FW 2.0 installed :s

If you want i can send you a 64bit build but that would take some time (2 days or so)
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2580
Location: Hilversum, NL, EU

PostPosted: Sun 12 Mar '06 17:23    Post subject: Reply with quote

Jorge wrote:
Only problem i've found is you need to seem to have .net FW 2.0 installed :s
To obtain the needed version of the Microsoft C++ run-time files:

download the .NET Framework 2.0 with Windows Update

or

if you do not want to install the .NET Framework,

download and run http://www.microsoft.com/downloads/details.aspx?familyid=32BC1BEE-A3F9-4C13-9C99-220B62A191EE&displaylang=en

see for info on this: http://msdn2.microsoft.com/en-us/library/ms235291.aspx

So running vcredist_x86.exe should work.

Jorge wrote:
If you want i can send you a 64bit build but that would take some time (2 days or so)
I do not have a x64 box, but I can it make available for download ot put a link here on the download page.

Steffen
Back to top
Jorge



Joined: 12 Mar 2006
Posts: 376
Location: Belgium

PostPosted: Sun 12 Mar '06 22:20    Post subject: Reply with quote

I was going to try and build a full build next wednesday if I didn't have to mutch homework.
I planned on posting it on my site... but i'll send it to you aswel.
Back to top
dj02



Joined: 11 Dec 2005
Posts: 23
Location: FI, EU

PostPosted: Fri 17 Mar '06 19:12    Post subject: Reply with quote

So you working x64 apache 2.2 with mod_ssl? Please send a link when it's ready to download. My e-mail: dj02[at]dj02.net

Last edited by dj02 on Mon 20 Mar '06 10:20; edited 1 time in total
Back to top
Jorge



Joined: 12 Mar 2006
Posts: 376
Location: Belgium

PostPosted: Sun 19 Mar '06 12:45    Post subject: Reply with quote

Couldn't make the latest code compile Sad
Still got my old trunk build though but that doesn't have mod_ssl

but thats the package you all ready have
Back to top
dj02



Joined: 11 Dec 2005
Posts: 23
Location: FI, EU

PostPosted: Mon 10 Apr '06 16:55    Post subject: Reply with quote

Hi, in ftp://ftp.openssl.org/snapshot/ you can find x64 OPENSSL.
Back to top
NthDegree



Joined: 14 Mar 2006
Posts: 14

PostPosted: Wed 19 Apr '06 23:08    Post subject: does work Reply with quote

i'm using the latest stuff on here and just to say, it is excellent and I am using mod_ssl with windows server 2003 enterprise x64!!!

Very Happy I now have my sanity back after realising that you can have SSL on apache 2.2 (and discarding any crazy IIS ideas I had Razz)
Back to top
Jorge



Joined: 12 Mar 2006
Posts: 376
Location: Belgium

PostPosted: Wed 19 Apr '06 23:48    Post subject: Reply with quote

dj02 wrote:
Hi, in ftp://ftp.openssl.org/snapshot/ you can find x64 OPENSSL.


I'll check that out once i get my Server fixed.

I compiled 2.2.1 without zlib and SSL in 64bit without a hitch.
So maybe i'll make that + SSL in a few weeks.
Back to top
saivert



Joined: 20 Apr 2006
Posts: 7
Location: Norway

PostPosted: Thu 20 Apr '06 18:10    Post subject: Building Apache 2.2.x on Windows x64 thread Reply with quote

I have started a thread about building Apache for x64. I really don't see running the 32-bit version of Apache on Windows XP x64 as a solution. I have tried it before and it has it's problems. The Apache process crashes often and you have to disable AcceptEx in httpd.conf. With a REAL x64 build of Apache everything will be fixed. It looks like nobody is taking Apache & co on Windows x64 seriously. I demand that people recognize the new 64 bit windows platform now with all the Athlon64 and Opteron CPUs installed in many peoples computers. 64 bit is the future, so don't stay behind thinking 32 bit is still the best.
Back to top
NthDegree



Joined: 14 Mar 2006
Posts: 14

PostPosted: Tue 25 Apr '06 20:18    Post subject: Re: Building Apache 2.2.x on Windows x64 thread Reply with quote

saivert wrote:
I have started a thread about building Apache for x64. I really don't see running the 32-bit version of Apache on Windows XP x64 as a solution. I have tried it before and it has it's problems. The Apache process crashes often and you have to disable AcceptEx in httpd.conf. With a REAL x64 build of Apache everything will be fixed. It looks like nobody is taking Apache & co on Windows x64 seriously. I demand that people recognize the new 64 bit windows platform now with all the Athlon64 and Opteron CPUs installed in many peoples computers. 64 bit is the future, so don't stay behind thinking 32 bit is still the best.


So that's why people are having problems and I get AcceptEx Failed bits in the error log Embarassed

I beg of you teach me how to compile apache 2.2 so I can fix these probs
Back to top
Jorge



Joined: 12 Mar 2006
Posts: 376
Location: Belgium

PostPosted: Wed 03 May '06 16:08    Post subject: Reply with quote

If you don't need php or mod_perl
http://www.blackdot.be/?inc=apachebin.htm

Seems to run fine... been running it for 2 days now
Back to top
saivert



Joined: 20 Apr 2006
Posts: 7
Location: Norway

PostPosted: Wed 03 May '06 21:20    Post subject: HAHA Reply with quote

Read this post
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Apache Building & Member Downloads
Page 1 of 1